﻿Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports DustInTheWind.BiorhythmControls.Core.BiorhythmModel

Namespace DustInTheWind.BiorhythmControls.Demo
	' Token: 0x02000004 RID: 4
	Public Class CommonBiorhythmShapesView
		Inherits UserControl

		' Token: 0x17000002 RID: 2
		' (get) Token: 0x06000013 RID: 19 RVA: 0x00002BD0 File Offset: 0x00000DD0
		' (set) Token: 0x06000014 RID: 20 RVA: 0x00002BE8 File Offset: 0x00000DE8
		Public Property BiorhythmShapes As CommonBiorhythmShapes
			Get
				Return Me.biorhythmShapes2
			End Get
			Set(value As CommonBiorhythmShapes)
				Me.ClearData()
				Me.biorhythmShapes2 = value
				Me.DisplayData()
			End Set
		End Property

		' Token: 0x06000015 RID: 21 RVA: 0x00002C00 File Offset: 0x00000E00
		Private Sub ClearData()
			Me.biorhythmShapeEditorPhysic.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorEmotional.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorIntellectual.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorIntuitive.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorPassion.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorMastery.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorWisdom.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorPerception.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorPsychic.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorSuccess.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorEsthetic.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorSelfAwareness.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorSpiritual.BiorhythmShape = Nothing
		End Sub

		' Token: 0x06000016 RID: 22 RVA: 0x00002CB8 File Offset: 0x00000EB8
		Private Sub DisplayData()
			Dim flag As Boolean = Me.biorhythmShapes2 Is Nothing
			If flag Then
				Me.ClearData()
			Else
				Me.biorhythmShapeEditorPhysic.BiorhythmShape = Me.biorhythmShapes2.PhysicalShape
				Me.biorhythmShapeEditorEmotional.BiorhythmShape = Me.biorhythmShapes2.EmotionalShape
				Me.biorhythmShapeEditorIntellectual.BiorhythmShape = Me.biorhythmShapes2.IntellectualShape
				Me.biorhythmShapeEditorIntuitive.BiorhythmShape = Me.biorhythmShapes2.IntuitiveShape
				Me.biorhythmShapeEditorPassion.BiorhythmShape = Me.biorhythmShapes2.PassionShape
				Me.biorhythmShapeEditorMastery.BiorhythmShape = Me.biorhythmShapes2.MasteryShape
				Me.biorhythmShapeEditorWisdom.BiorhythmShape = Me.biorhythmShapes2.WisdomShape
				Me.biorhythmShapeEditorPerception.BiorhythmShape = Me.biorhythmShapes2.PerceptionShape
				Me.biorhythmShapeEditorPsychic.BiorhythmShape = Me.biorhythmShapes2.PsychicShape
				Me.biorhythmShapeEditorSuccess.BiorhythmShape = Me.biorhythmShapes2.SuccessShape
				Me.biorhythmShapeEditorEsthetic.BiorhythmShape = Me.biorhythmShapes2.EstheticShape
				Me.biorhythmShapeEditorSelfAwareness.BiorhythmShape = Me.biorhythmShapes2.SelfAwarenessShape
				Me.biorhythmShapeEditorSpiritual.BiorhythmShape = Me.biorhythmShapes2.SpiritualShape
			End If
		End Sub

		' Token: 0x06000017 RID: 23 RVA: 0x00002E0B File Offset: 0x0000100B
		Public Sub New()
			Me.InitializeComponent()
		End Sub

		' Token: 0x06000018 RID: 24 RVA: 0x00002E24 File Offset: 0x00001024
		Private Sub buttonShowPrimaryBiorythms_Click(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShapes2 Is Nothing
			If Not flag Then
				Me.biorhythmShapes2.ShowPrimaryBiorhythms(True)
			End If
		End Sub

		' Token: 0x06000019 RID: 25 RVA: 0x00002E50 File Offset: 0x00001050
		Private Sub buttonShowSecondaryBiorythms_Click(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShapes2 Is Nothing
			If Not flag Then
				Me.biorhythmShapes2.ShowSecondaryBiorhythms(True)
			End If
		End Sub

		' Token: 0x0600001A RID: 26 RVA: 0x00002E7C File Offset: 0x0000107C
		Private Sub buttonShowExtraBiorhythms_Click(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShapes2 Is Nothing
			If Not flag Then
				Me.biorhythmShapes2.ShowExtraBiorhythms(True)
			End If
		End Sub

		' Token: 0x0600001B RID: 27 RVA: 0x00002EA8 File Offset: 0x000010A8
		Private Sub buttonIChing_Click(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShapes2 Is Nothing
			If Not flag Then
				Me.biorhythmShapes2.ShowIChingBiorhythms(True)
			End If
		End Sub

		' Token: 0x0600001C RID: 28 RVA: 0x00002ED4 File Offset: 0x000010D4
		Private Sub buttonShowAll_Click(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShapes2 Is Nothing
			If Not flag Then
				Me.biorhythmShapes2.ShowAllBiorhythms()
			End If
		End Sub

		' Token: 0x0600001D RID: 29 RVA: 0x00002F00 File Offset: 0x00001100
		Private Sub buttonHideAll_Click(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShapes2 Is Nothing
			If Not flag Then
				Me.biorhythmShapes2.HideAllBiorhythms()
			End If
		End Sub

		' Token: 0x0600001E RID: 30 RVA: 0x00002F2C File Offset: 0x0000112C
		Private Sub buttonSetBirthday_Click(sender As Object, e As EventArgs)
			Dim flag As Boolean = Me.biorhythmShapes2 Is Nothing
			If Not flag Then
				Dim form As FormDateTimePicker = New FormDateTimePicker()
				Dim location As Point = Me.buttonSetBirthday.Parent.PointToScreen(Me.buttonSetBirthday.Location)
				location.Y += Me.buttonSetBirthday.Height
				form.Location = location
				AddHandler form.Closed, Sub(s As Object, ev As EventArgs)
					Dim flag2 As Boolean = form.SelectedDate IsNot Nothing
					If flag2 Then
												Me.biorhythmShapes2.SetBirthday(form.SelectedDate.Value)
											End If
					form.Dispose()
				End Sub
				form.Show()
			End If
		End Sub

		' Token: 0x0600001F RID: 31 RVA: 0x00002FC8 File Offset: 0x000011C8
		Protected Overrides Sub Dispose(disposing As Boolean)
			Dim flag As Boolean = disposing AndAlso Me.components IsNot Nothing
			If flag Then
				Me.components.Dispose()
			End If
			MyBase.Dispose(disposing)
		End Sub

		' Token: 0x06000020 RID: 32 RVA: 0x00003000 File Offset: 0x00001200
		Private Sub InitializeComponent()
			Me.buttonSetBirthday = New Button()
			Me.buttonShowSecondaryBiorythms = New Button()
			Me.buttonShowPrimaryBiorythms = New Button()
			Me.buttonShowExtraBiorhythms = New Button()
			Me.buttonIChing = New Button()
			Me.tableLayoutPanel1 = New TableLayoutPanel()
			Me.panel2 = New Panel()
			Me.label1 = New Label()
			Me.buttonHideAll = New Button()
			Me.buttonShowAll = New Button()
			Me.label3 = New Label()
			Me.panel3 = New Panel()
			Me.groupBoxIChing = New GroupBox()
			Me.groupBoxExtra = New GroupBox()
			Me.groupBoxSecondary = New GroupBox()
			Me.groupBoxPrimary = New GroupBox()
			Me.biorhythmShapeEditorSpiritual = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorSelfAwareness = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorEsthetic = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorSuccess = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorPsychic = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorPerception = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorWisdom = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorMastery = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorPassion = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorIntuitive = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorIntellectual = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorEmotional = New BiorhythmShapeEditor()
			Me.biorhythmShapeEditorPhysic = New BiorhythmShapeEditor()
			Me.tableLayoutPanel1.SuspendLayout()
			Me.panel2.SuspendLayout()
			Me.panel3.SuspendLayout()
			Me.groupBoxIChing.SuspendLayout()
			Me.groupBoxExtra.SuspendLayout()
			Me.groupBoxSecondary.SuspendLayout()
			Me.groupBoxPrimary.SuspendLayout()
			MyBase.SuspendLayout()
			Me.buttonSetBirthday.AutoSize = True
			Me.buttonSetBirthday.BackColor = Color.PaleGreen
			Me.buttonSetBirthday.Dock = DockStyle.Top
			Me.buttonSetBirthday.ForeColor = Color.Black
			Me.buttonSetBirthday.Location = New Point(0, 178)
			Me.buttonSetBirthday.Name = "buttonSetBirthday"
			Me.buttonSetBirthday.Size = New Size(120, 23)
			Me.buttonSetBirthday.TabIndex = 16
			Me.buttonSetBirthday.Text = "Set birthday for all"
			Me.buttonSetBirthday.UseVisualStyleBackColor = False
			AddHandler Me.buttonSetBirthday.Click, AddressOf Me.buttonSetBirthday_Click
			Me.buttonShowSecondaryBiorythms.BackColor = Color.Khaki
			Me.buttonShowSecondaryBiorythms.Dock = DockStyle.Top
			Me.buttonShowSecondaryBiorythms.Location = New Point(0, 23)
			Me.buttonShowSecondaryBiorythms.Name = "buttonShowSecondaryBiorythms"
			Me.buttonShowSecondaryBiorythms.Size = New Size(120, 23)
			Me.buttonShowSecondaryBiorythms.TabIndex = 19
			Me.buttonShowSecondaryBiorythms.Text = "Show Secondary"
			Me.buttonShowSecondaryBiorythms.UseVisualStyleBackColor = False
			AddHandler Me.buttonShowSecondaryBiorythms.Click, AddressOf Me.buttonShowSecondaryBiorythms_Click
			Me.buttonShowPrimaryBiorythms.BackColor = Color.Khaki
			Me.buttonShowPrimaryBiorythms.Dock = DockStyle.Top
			Me.buttonShowPrimaryBiorythms.Location = New Point(0, 0)
			Me.buttonShowPrimaryBiorythms.Name = "buttonShowPrimaryBiorythms"
			Me.buttonShowPrimaryBiorythms.Size = New Size(120, 23)
			Me.buttonShowPrimaryBiorythms.TabIndex = 20
			Me.buttonShowPrimaryBiorythms.Text = "Show Primary"
			Me.buttonShowPrimaryBiorythms.UseVisualStyleBackColor = False
			AddHandler Me.buttonShowPrimaryBiorythms.Click, AddressOf Me.buttonShowPrimaryBiorythms_Click
			Me.buttonShowExtraBiorhythms.BackColor = Color.Khaki
			Me.buttonShowExtraBiorhythms.Dock = DockStyle.Top
			Me.buttonShowExtraBiorhythms.Location = New Point(0, 46)
			Me.buttonShowExtraBiorhythms.Name = "buttonShowExtraBiorhythms"
			Me.buttonShowExtraBiorhythms.Size = New Size(120, 23)
			Me.buttonShowExtraBiorhythms.TabIndex = 17
			Me.buttonShowExtraBiorhythms.Text = "Show Extra"
			Me.buttonShowExtraBiorhythms.UseVisualStyleBackColor = False
			AddHandler Me.buttonShowExtraBiorhythms.Click, AddressOf Me.buttonShowExtraBiorhythms_Click
			Me.buttonIChing.BackColor = Color.Khaki
			Me.buttonIChing.Dock = DockStyle.Top
			Me.buttonIChing.Location = New Point(0, 69)
			Me.buttonIChing.Name = "buttonIChing"
			Me.buttonIChing.Size = New Size(120, 23)
			Me.buttonIChing.TabIndex = 18
			Me.buttonIChing.Text = "Show I-Ching"
			Me.buttonIChing.UseVisualStyleBackColor = False
			AddHandler Me.buttonIChing.Click, AddressOf Me.buttonIChing_Click
			Me.tableLayoutPanel1.ColumnCount = 2
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel1.ColumnStyles.Add(New ColumnStyle())
			Me.tableLayoutPanel1.Controls.Add(Me.panel2, 1, 0)
			Me.tableLayoutPanel1.Controls.Add(Me.panel3, 0, 0)
			Me.tableLayoutPanel1.Dock = DockStyle.Fill
			Me.tableLayoutPanel1.Location = New Point(0, 0)
			Me.tableLayoutPanel1.Name = "tableLayoutPanel1"
			Me.tableLayoutPanel1.RowCount = 1
			Me.tableLayoutPanel1.RowStyles.Add(New RowStyle(SizeType.Percent, 100F))
			Me.tableLayoutPanel1.Size = New Size(701, 472)
			Me.tableLayoutPanel1.TabIndex = 23
			Me.panel2.Controls.Add(Me.buttonSetBirthday)
			Me.panel2.Controls.Add(Me.label1)
			Me.panel2.Controls.Add(Me.buttonHideAll)
			Me.panel2.Controls.Add(Me.buttonShowAll)
			Me.panel2.Controls.Add(Me.label3)
			Me.panel2.Controls.Add(Me.buttonIChing)
			Me.panel2.Controls.Add(Me.buttonShowExtraBiorhythms)
			Me.panel2.Controls.Add(Me.buttonShowSecondaryBiorythms)
			Me.panel2.Controls.Add(Me.buttonShowPrimaryBiorythms)
			Me.panel2.Dock = DockStyle.Fill
			Me.panel2.Location = New Point(578, 3)
			Me.panel2.Name = "panel2"
			Me.panel2.Size = New Size(120, 466)
			Me.panel2.TabIndex = 0
			Me.label1.Dock = DockStyle.Top
			Me.label1.Location = New Point(0, 158)
			Me.label1.Name = "label1"
			Me.label1.Size = New Size(120, 20)
			Me.label1.TabIndex = 21
			Me.buttonHideAll.BackColor = Color.Moccasin
			Me.buttonHideAll.Dock = DockStyle.Top
			Me.buttonHideAll.Location = New Point(0, 135)
			Me.buttonHideAll.Name = "buttonHideAll"
			Me.buttonHideAll.Size = New Size(120, 23)
			Me.buttonHideAll.TabIndex = 22
			Me.buttonHideAll.Text = "Hide All"
			Me.buttonHideAll.UseVisualStyleBackColor = False
			AddHandler Me.buttonHideAll.Click, AddressOf Me.buttonHideAll_Click
			Me.buttonShowAll.BackColor = Color.Moccasin
			Me.buttonShowAll.Dock = DockStyle.Top
			Me.buttonShowAll.Location = New Point(0, 112)
			Me.buttonShowAll.Name = "buttonShowAll"
			Me.buttonShowAll.Size = New Size(120, 23)
			Me.buttonShowAll.TabIndex = 26
			Me.buttonShowAll.Text = "Show All"
			Me.buttonShowAll.UseVisualStyleBackColor = False
			AddHandler Me.buttonShowAll.Click, AddressOf Me.buttonShowAll_Click
			Me.label3.Dock = DockStyle.Top
			Me.label3.Location = New Point(0, 92)
			Me.label3.Name = "label3"
			Me.label3.Size = New Size(120, 20)
			Me.label3.TabIndex = 25
			Me.panel3.AutoScroll = True
			Me.panel3.Controls.Add(Me.groupBoxIChing)
			Me.panel3.Controls.Add(Me.groupBoxExtra)
			Me.panel3.Controls.Add(Me.groupBoxSecondary)
			Me.panel3.Controls.Add(Me.groupBoxPrimary)
			Me.panel3.Dock = DockStyle.Fill
			Me.panel3.Location = New Point(3, 3)
			Me.panel3.Name = "panel3"
			Me.panel3.Size = New Size(569, 466)
			Me.panel3.TabIndex = 1
			Me.groupBoxIChing.AutoSize = True
			Me.groupBoxIChing.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.groupBoxIChing.Controls.Add(Me.biorhythmShapeEditorSpiritual)
			Me.groupBoxIChing.Controls.Add(Me.biorhythmShapeEditorSelfAwareness)
			Me.groupBoxIChing.Controls.Add(Me.biorhythmShapeEditorEsthetic)
			Me.groupBoxIChing.Dock = DockStyle.Top
			Me.groupBoxIChing.Location = New Point(0, 327)
			Me.groupBoxIChing.Name = "groupBoxIChing"
			Me.groupBoxIChing.Size = New Size(569, 100)
			Me.groupBoxIChing.TabIndex = 14
			Me.groupBoxIChing.TabStop = False
			Me.groupBoxIChing.Text = "I-Ching"
			Me.groupBoxExtra.AutoSize = True
			Me.groupBoxExtra.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.groupBoxExtra.Controls.Add(Me.biorhythmShapeEditorSuccess)
			Me.groupBoxExtra.Controls.Add(Me.biorhythmShapeEditorPsychic)
			Me.groupBoxExtra.Controls.Add(Me.biorhythmShapeEditorPerception)
			Me.groupBoxExtra.Dock = DockStyle.Top
			Me.groupBoxExtra.Location = New Point(0, 227)
			Me.groupBoxExtra.Name = "groupBoxExtra"
			Me.groupBoxExtra.Size = New Size(569, 100)
			Me.groupBoxExtra.TabIndex = 15
			Me.groupBoxExtra.TabStop = False
			Me.groupBoxExtra.Text = "Extra Biorhythms"
			Me.groupBoxSecondary.AutoSize = True
			Me.groupBoxSecondary.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.groupBoxSecondary.Controls.Add(Me.biorhythmShapeEditorWisdom)
			Me.groupBoxSecondary.Controls.Add(Me.biorhythmShapeEditorMastery)
			Me.groupBoxSecondary.Controls.Add(Me.biorhythmShapeEditorPassion)
			Me.groupBoxSecondary.Dock = DockStyle.Top
			Me.groupBoxSecondary.Location = New Point(0, 127)
			Me.groupBoxSecondary.Name = "groupBoxSecondary"
			Me.groupBoxSecondary.Size = New Size(569, 100)
			Me.groupBoxSecondary.TabIndex = 18
			Me.groupBoxSecondary.TabStop = False
			Me.groupBoxSecondary.Text = "Secondary Biorhythms"
			Me.groupBoxPrimary.AutoSize = True
			Me.groupBoxPrimary.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.groupBoxPrimary.Controls.Add(Me.biorhythmShapeEditorIntuitive)
			Me.groupBoxPrimary.Controls.Add(Me.biorhythmShapeEditorIntellectual)
			Me.groupBoxPrimary.Controls.Add(Me.biorhythmShapeEditorEmotional)
			Me.groupBoxPrimary.Controls.Add(Me.biorhythmShapeEditorPhysic)
			Me.groupBoxPrimary.Dock = DockStyle.Top
			Me.groupBoxPrimary.Location = New Point(0, 0)
			Me.groupBoxPrimary.Name = "groupBoxPrimary"
			Me.groupBoxPrimary.Size = New Size(569, 127)
			Me.groupBoxPrimary.TabIndex = 17
			Me.groupBoxPrimary.TabStop = False
			Me.groupBoxPrimary.Text = "Primary Biorhythms"
			Me.biorhythmShapeEditorSpiritual.AutoSize = True
			Me.biorhythmShapeEditorSpiritual.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorSpiritual.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorSpiritual.Dock = DockStyle.Top
			Me.biorhythmShapeEditorSpiritual.Location = New Point(3, 70)
			Me.biorhythmShapeEditorSpiritual.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorSpiritual.Name = "biorhythmShapeEditorSpiritual"
			Me.biorhythmShapeEditorSpiritual.Size = New Size(563, 27)
			Me.biorhythmShapeEditorSpiritual.TabIndex = 16
			Me.biorhythmShapeEditorSelfAwareness.AutoSize = True
			Me.biorhythmShapeEditorSelfAwareness.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorSelfAwareness.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorSelfAwareness.Dock = DockStyle.Top
			Me.biorhythmShapeEditorSelfAwareness.Location = New Point(3, 43)
			Me.biorhythmShapeEditorSelfAwareness.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorSelfAwareness.Name = "biorhythmShapeEditorSelfAwareness"
			Me.biorhythmShapeEditorSelfAwareness.Size = New Size(563, 27)
			Me.biorhythmShapeEditorSelfAwareness.TabIndex = 15
			Me.biorhythmShapeEditorEsthetic.AutoSize = True
			Me.biorhythmShapeEditorEsthetic.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorEsthetic.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorEsthetic.Dock = DockStyle.Top
			Me.biorhythmShapeEditorEsthetic.Location = New Point(3, 16)
			Me.biorhythmShapeEditorEsthetic.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorEsthetic.Name = "biorhythmShapeEditorEsthetic"
			Me.biorhythmShapeEditorEsthetic.Size = New Size(563, 27)
			Me.biorhythmShapeEditorEsthetic.TabIndex = 14
			Me.biorhythmShapeEditorSuccess.AutoSize = True
			Me.biorhythmShapeEditorSuccess.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorSuccess.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorSuccess.Dock = DockStyle.Top
			Me.biorhythmShapeEditorSuccess.Location = New Point(3, 70)
			Me.biorhythmShapeEditorSuccess.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorSuccess.Name = "biorhythmShapeEditorSuccess"
			Me.biorhythmShapeEditorSuccess.Size = New Size(563, 27)
			Me.biorhythmShapeEditorSuccess.TabIndex = 13
			Me.biorhythmShapeEditorPsychic.AutoSize = True
			Me.biorhythmShapeEditorPsychic.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorPsychic.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorPsychic.Dock = DockStyle.Top
			Me.biorhythmShapeEditorPsychic.Location = New Point(3, 43)
			Me.biorhythmShapeEditorPsychic.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorPsychic.Name = "biorhythmShapeEditorPsychic"
			Me.biorhythmShapeEditorPsychic.Size = New Size(563, 27)
			Me.biorhythmShapeEditorPsychic.TabIndex = 12
			Me.biorhythmShapeEditorPerception.AutoSize = True
			Me.biorhythmShapeEditorPerception.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorPerception.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorPerception.Dock = DockStyle.Top
			Me.biorhythmShapeEditorPerception.Location = New Point(3, 16)
			Me.biorhythmShapeEditorPerception.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorPerception.Name = "biorhythmShapeEditorPerception"
			Me.biorhythmShapeEditorPerception.Size = New Size(563, 27)
			Me.biorhythmShapeEditorPerception.TabIndex = 11
			Me.biorhythmShapeEditorWisdom.AutoSize = True
			Me.biorhythmShapeEditorWisdom.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorWisdom.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorWisdom.Dock = DockStyle.Top
			Me.biorhythmShapeEditorWisdom.Location = New Point(3, 70)
			Me.biorhythmShapeEditorWisdom.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorWisdom.Name = "biorhythmShapeEditorWisdom"
			Me.biorhythmShapeEditorWisdom.Size = New Size(563, 27)
			Me.biorhythmShapeEditorWisdom.TabIndex = 12
			Me.biorhythmShapeEditorMastery.AutoSize = True
			Me.biorhythmShapeEditorMastery.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorMastery.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorMastery.Dock = DockStyle.Top
			Me.biorhythmShapeEditorMastery.Location = New Point(3, 43)
			Me.biorhythmShapeEditorMastery.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorMastery.Name = "biorhythmShapeEditorMastery"
			Me.biorhythmShapeEditorMastery.Size = New Size(563, 27)
			Me.biorhythmShapeEditorMastery.TabIndex = 11
			Me.biorhythmShapeEditorPassion.AutoSize = True
			Me.biorhythmShapeEditorPassion.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorPassion.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorPassion.Dock = DockStyle.Top
			Me.biorhythmShapeEditorPassion.Location = New Point(3, 16)
			Me.biorhythmShapeEditorPassion.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorPassion.Name = "biorhythmShapeEditorPassion"
			Me.biorhythmShapeEditorPassion.Size = New Size(563, 27)
			Me.biorhythmShapeEditorPassion.TabIndex = 10
			Me.biorhythmShapeEditorIntuitive.AutoSize = True
			Me.biorhythmShapeEditorIntuitive.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorIntuitive.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorIntuitive.Dock = DockStyle.Top
			Me.biorhythmShapeEditorIntuitive.Location = New Point(3, 97)
			Me.biorhythmShapeEditorIntuitive.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorIntuitive.Name = "biorhythmShapeEditorIntuitive"
			Me.biorhythmShapeEditorIntuitive.Size = New Size(563, 27)
			Me.biorhythmShapeEditorIntuitive.TabIndex = 13
			Me.biorhythmShapeEditorIntellectual.AutoSize = True
			Me.biorhythmShapeEditorIntellectual.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorIntellectual.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorIntellectual.Dock = DockStyle.Top
			Me.biorhythmShapeEditorIntellectual.Location = New Point(3, 70)
			Me.biorhythmShapeEditorIntellectual.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorIntellectual.Name = "biorhythmShapeEditorIntellectual"
			Me.biorhythmShapeEditorIntellectual.Size = New Size(563, 27)
			Me.biorhythmShapeEditorIntellectual.TabIndex = 12
			Me.biorhythmShapeEditorEmotional.AutoSize = True
			Me.biorhythmShapeEditorEmotional.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorEmotional.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorEmotional.Dock = DockStyle.Top
			Me.biorhythmShapeEditorEmotional.Location = New Point(3, 43)
			Me.biorhythmShapeEditorEmotional.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorEmotional.Name = "biorhythmShapeEditorEmotional"
			Me.biorhythmShapeEditorEmotional.Size = New Size(563, 27)
			Me.biorhythmShapeEditorEmotional.TabIndex = 11
			Me.biorhythmShapeEditorPhysic.AutoSize = True
			Me.biorhythmShapeEditorPhysic.AutoSizeMode = AutoSizeMode.GrowAndShrink
			Me.biorhythmShapeEditorPhysic.BiorhythmShape = Nothing
			Me.biorhythmShapeEditorPhysic.Dock = DockStyle.Top
			Me.biorhythmShapeEditorPhysic.Location = New Point(3, 16)
			Me.biorhythmShapeEditorPhysic.MinimumSize = New Size(420, 27)
			Me.biorhythmShapeEditorPhysic.Name = "biorhythmShapeEditorPhysic"
			Me.biorhythmShapeEditorPhysic.Size = New Size(563, 27)
			Me.biorhythmShapeEditorPhysic.TabIndex = 10
			MyBase.AutoScaleDimensions = New SizeF(6F, 13F)
			MyBase.AutoScaleMode = AutoScaleMode.Font
			MyBase.Controls.Add(Me.tableLayoutPanel1)
			MyBase.Name = "CommonBiorhythmShapesView"
			MyBase.Size = New Size(701, 472)
			Me.tableLayoutPanel1.ResumeLayout(False)
			Me.panel2.ResumeLayout(False)
			Me.panel2.PerformLayout()
			Me.panel3.ResumeLayout(False)
			Me.panel3.PerformLayout()
			Me.groupBoxIChing.ResumeLayout(False)
			Me.groupBoxIChing.PerformLayout()
			Me.groupBoxExtra.ResumeLayout(False)
			Me.groupBoxExtra.PerformLayout()
			Me.groupBoxSecondary.ResumeLayout(False)
			Me.groupBoxSecondary.PerformLayout()
			Me.groupBoxPrimary.ResumeLayout(False)
			Me.groupBoxPrimary.PerformLayout()
			MyBase.ResumeLayout(False)
		End Sub

		' Token: 0x04000019 RID: 25
		Private biorhythmShapes2 As CommonBiorhythmShapes

		' Token: 0x0400001A RID: 26
		Private components As IContainer = Nothing

		' Token: 0x0400001B RID: 27
		Private buttonSetBirthday As Button

		' Token: 0x0400001C RID: 28
		Private buttonShowSecondaryBiorythms As Button

		' Token: 0x0400001D RID: 29
		Private buttonShowPrimaryBiorythms As Button

		' Token: 0x0400001E RID: 30
		Private buttonShowExtraBiorhythms As Button

		' Token: 0x0400001F RID: 31
		Private buttonIChing As Button

		' Token: 0x04000020 RID: 32
		Private tableLayoutPanel1 As TableLayoutPanel

		' Token: 0x04000021 RID: 33
		Private panel2 As Panel

		' Token: 0x04000022 RID: 34
		Private panel3 As Panel

		' Token: 0x04000023 RID: 35
		Private groupBoxPrimary As GroupBox

		' Token: 0x04000024 RID: 36
		Private biorhythmShapeEditorIntuitive As BiorhythmShapeEditor

		' Token: 0x04000025 RID: 37
		Private biorhythmShapeEditorIntellectual As BiorhythmShapeEditor

		' Token: 0x04000026 RID: 38
		Private biorhythmShapeEditorEmotional As BiorhythmShapeEditor

		' Token: 0x04000027 RID: 39
		Private biorhythmShapeEditorPhysic As BiorhythmShapeEditor

		' Token: 0x04000028 RID: 40
		Private groupBoxSecondary As GroupBox

		' Token: 0x04000029 RID: 41
		Private biorhythmShapeEditorWisdom As BiorhythmShapeEditor

		' Token: 0x0400002A RID: 42
		Private biorhythmShapeEditorMastery As BiorhythmShapeEditor

		' Token: 0x0400002B RID: 43
		Private biorhythmShapeEditorPassion As BiorhythmShapeEditor

		' Token: 0x0400002C RID: 44
		Private groupBoxExtra As GroupBox

		' Token: 0x0400002D RID: 45
		Private biorhythmShapeEditorSuccess As BiorhythmShapeEditor

		' Token: 0x0400002E RID: 46
		Private biorhythmShapeEditorPsychic As BiorhythmShapeEditor

		' Token: 0x0400002F RID: 47
		Private biorhythmShapeEditorPerception As BiorhythmShapeEditor

		' Token: 0x04000030 RID: 48
		Private groupBoxIChing As GroupBox

		' Token: 0x04000031 RID: 49
		Private biorhythmShapeEditorSpiritual As BiorhythmShapeEditor

		' Token: 0x04000032 RID: 50
		Private biorhythmShapeEditorSelfAwareness As BiorhythmShapeEditor

		' Token: 0x04000033 RID: 51
		Private biorhythmShapeEditorEsthetic As BiorhythmShapeEditor

		' Token: 0x04000034 RID: 52
		Private label1 As Label

		' Token: 0x04000035 RID: 53
		Private buttonHideAll As Button

		' Token: 0x04000036 RID: 54
		Private label3 As Label

		' Token: 0x04000037 RID: 55
		Private buttonShowAll As Button
	End Class
End Namespace
