﻿Imports Microsoft.VisualBasic
Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports DustInTheWind.BiorhythmControls.Core.BiorhythmModel
Imports DustInTheWind.BiorhythmControls.WinForms

Namespace DustInTheWind.BiorhythmControls.Demo
	' Token: 0x02000006 RID: 6
	Public Class EventsTriggeredBox
		Inherits UserControl

		' Token: 0x17000004 RID: 4
		' (get) Token: 0x0600002F RID: 47 RVA: 0x00004E94 File Offset: 0x00003094
		' (set) Token: 0x06000030 RID: 48 RVA: 0x00004EAC File Offset: 0x000030AC
		Public Property BiorhythmView As BiorhythmView
			Get
				Return Me.biorhythmView1
			End Get
			Set(value As BiorhythmView)
				Dim flag As Boolean = Me.biorhythmView1 IsNot Nothing
				If flag Then
					Me.UnsubscribeFromEvents()
				End If
				Me.biorhythmView1 = value
				Dim flag2 As Boolean = Me.biorhythmView1 IsNot Nothing
				If flag2 Then
					Me.SubscribeToEvents()
				End If
			End Set
		End Property

		' Token: 0x06000031 RID: 49 RVA: 0x00004EE9 File Offset: 0x000030E9
		Public Sub New()
			Me.InitializeComponent()
		End Sub

		' Token: 0x06000032 RID: 50 RVA: 0x00004F04 File Offset: 0x00003104
		Private Sub SubscribeToEvents()
			AddHandler Me.biorhythmView1.FirstDayChanged, AddressOf Me.biorhythmView1_FirstDayChanged
			AddHandler Me.biorhythmView1.ChartBiorhythmChanged, AddressOf Me.biorhythmView1_ChartBiorhythmChanged
			AddHandler Me.biorhythmView1.ChartBirthdayChanged, AddressOf Me.biorhythmView1_ChartBirthdayChanged
			AddHandler Me.biorhythmView1.ChartVisibilityChanged, AddressOf Me.biorhythmView1_ChartVisibilityChanged
			AddHandler Me.biorhythmView1.ChartColorChanged, AddressOf Me.biorhythmView1_ChartColorChanged
			AddHandler Me.biorhythmView1.ChartLineStyleChanged, AddressOf Me.biorhythmView1_ChartLineStyleChanged
			AddHandler Me.biorhythmView1.ChartLineWidthChanged, AddressOf Me.biorhythmView1_ChartLineWidthChanged
			AddHandler Me.biorhythmView1.IsBorderVisibleChanged, AddressOf Me.biorhythmView1_IsBorderVisibleChanged
			AddHandler Me.biorhythmView1.BorderColorChanged, AddressOf Me.biorhythmView1_BorderColorChanged
			AddHandler Me.biorhythmView1.BorderWidthChanged, AddressOf Me.biorhythmView1_BorderWidthChanged
			AddHandler Me.biorhythmView1.FontChanged, AddressOf Me.biorhythmView1_FontChanged
			AddHandler Me.biorhythmView1.BackColorChanged, AddressOf Me.biorhythmView1_BackColorChanged
			AddHandler Me.biorhythmView1.ForeColorChanged, AddressOf Me.biorhythmView1_ForeColorChanged
			AddHandler Me.biorhythmView1.IsGridVisibleChanged, AddressOf Me.biorhythmView1_IsGridVisibleChanged
			AddHandler Me.biorhythmView1.GridColorChanged, AddressOf Me.biorhythmView1_GridColorChanged
			AddHandler Me.biorhythmView1.AreSundaysEmphasizedChanged, AddressOf Me.biorhythmView1_AreSundaysEmphasizedChanged
			AddHandler Me.biorhythmView1.SundaysColorChanged, AddressOf Me.biorhythmView1_SundaysColorChanged
			AddHandler Me.biorhythmView1.SundaysFontChanged, AddressOf Me.biorhythmView1_SundaysFontChanged
			AddHandler Me.biorhythmView1.IsXDayVisibleChanged, AddressOf Me.biorhythmView1_IsXDayVisibleChanged
			AddHandler Me.biorhythmView1.XDayIndexChanged, AddressOf Me.biorhythmView1_XDayIndexChanged
			AddHandler Me.biorhythmView1.XDayBorderColorChanged, AddressOf Me.biorhythmView1_XDayBorderColorChanged
			AddHandler Me.biorhythmView1.XDayBorderWidthChanged, AddressOf Me.biorhythmView1_XDayBorderWidthChanged
			AddHandler Me.biorhythmView1.AreDayNumbersVisibleChanged, AddressOf Me.biorhythmView1_AreDayNumbersVisibleChanged
			AddHandler Me.biorhythmView1.DayNumbersPositionChanged, AddressOf Me.biorhythmView1_DayNumbersPositionChanged
			AddHandler Me.biorhythmView1.WeekDaysVisibleChanged, AddressOf Me.biorhythmView1_WeekDaysVisibleChanged
			AddHandler Me.biorhythmView1.WeekDaysPositionChanged, AddressOf Me.biorhythmView1_WeekDaysPositionChanged
			AddHandler Me.biorhythmView1.TotalDaysChanged, AddressOf Me.biorhythmView1_TotalDaysChanged
			AddHandler Me.biorhythmView1.TodayBackColorChanged, AddressOf Me.biorhythmView1_TodayBackColorChanged
		End Sub

		' Token: 0x06000033 RID: 51 RVA: 0x000051B4 File Offset: 0x000033B4
		Private Sub UnsubscribeFromEvents()
			RemoveHandler Me.biorhythmView1.FirstDayChanged, AddressOf Me.biorhythmView1_FirstDayChanged
			RemoveHandler Me.biorhythmView1.ChartBiorhythmChanged, AddressOf Me.biorhythmView1_ChartBiorhythmChanged
			RemoveHandler Me.biorhythmView1.ChartBirthdayChanged, AddressOf Me.biorhythmView1_ChartBirthdayChanged
			RemoveHandler Me.biorhythmView1.ChartVisibilityChanged, AddressOf Me.biorhythmView1_ChartVisibilityChanged
			RemoveHandler Me.biorhythmView1.ChartColorChanged, AddressOf Me.biorhythmView1_ChartColorChanged
			RemoveHandler Me.biorhythmView1.ChartLineStyleChanged, AddressOf Me.biorhythmView1_ChartLineStyleChanged
			RemoveHandler Me.biorhythmView1.ChartLineWidthChanged, AddressOf Me.biorhythmView1_ChartLineWidthChanged
			RemoveHandler Me.biorhythmView1.IsBorderVisibleChanged, AddressOf Me.biorhythmView1_IsBorderVisibleChanged
			RemoveHandler Me.biorhythmView1.BorderColorChanged, AddressOf Me.biorhythmView1_BorderColorChanged
			RemoveHandler Me.biorhythmView1.BorderWidthChanged, AddressOf Me.biorhythmView1_BorderWidthChanged
			RemoveHandler Me.biorhythmView1.FontChanged, AddressOf Me.biorhythmView1_FontChanged
			RemoveHandler Me.biorhythmView1.BackColorChanged, AddressOf Me.biorhythmView1_BackColorChanged
			RemoveHandler Me.biorhythmView1.ForeColorChanged, AddressOf Me.biorhythmView1_ForeColorChanged
			RemoveHandler Me.biorhythmView1.IsGridVisibleChanged, AddressOf Me.biorhythmView1_IsGridVisibleChanged
			RemoveHandler Me.biorhythmView1.GridColorChanged, AddressOf Me.biorhythmView1_GridColorChanged
			RemoveHandler Me.biorhythmView1.AreSundaysEmphasizedChanged, AddressOf Me.biorhythmView1_AreSundaysEmphasizedChanged
			RemoveHandler Me.biorhythmView1.SundaysColorChanged, AddressOf Me.biorhythmView1_SundaysColorChanged
			RemoveHandler Me.biorhythmView1.SundaysFontChanged, AddressOf Me.biorhythmView1_SundaysFontChanged
			RemoveHandler Me.biorhythmView1.IsXDayVisibleChanged, AddressOf Me.biorhythmView1_IsXDayVisibleChanged
			RemoveHandler Me.biorhythmView1.XDayIndexChanged, AddressOf Me.biorhythmView1_XDayIndexChanged
			RemoveHandler Me.biorhythmView1.XDayBorderColorChanged, AddressOf Me.biorhythmView1_XDayBorderColorChanged
			RemoveHandler Me.biorhythmView1.XDayBorderWidthChanged, AddressOf Me.biorhythmView1_XDayBorderWidthChanged
			RemoveHandler Me.biorhythmView1.AreDayNumbersVisibleChanged, AddressOf Me.biorhythmView1_AreDayNumbersVisibleChanged
			RemoveHandler Me.biorhythmView1.DayNumbersPositionChanged, AddressOf Me.biorhythmView1_DayNumbersPositionChanged
			RemoveHandler Me.biorhythmView1.WeekDaysVisibleChanged, AddressOf Me.biorhythmView1_WeekDaysVisibleChanged
			RemoveHandler Me.biorhythmView1.WeekDaysPositionChanged, AddressOf Me.biorhythmView1_WeekDaysPositionChanged
			RemoveHandler Me.biorhythmView1.TotalDaysChanged, AddressOf Me.biorhythmView1_TotalDaysChanged
			RemoveHandler Me.biorhythmView1.TodayBackColorChanged, AddressOf Me.biorhythmView1_TodayBackColorChanged
		End Sub

		' Token: 0x06000034 RID: 52 RVA: 0x00005462 File Offset: 0x00003662
		Private Sub biorhythmView1_FirstDayChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("FirstDayChanged: {0}", Me.biorhythmView1.FirstDay))
		End Sub

		' Token: 0x06000035 RID: 53 RVA: 0x00005486 File Offset: 0x00003686
		Private Sub biorhythmView1_ChartBiorhythmChanged(sender As Object, e As ChartBiorhythmChangedEventArgs)
			Me.WriteLog(String.Format("ChartBirhythmChanged [{0}]: {1}", e.BiorhythmShapeName, e.NewBiorhythm.Name))
		End Sub

		' Token: 0x06000036 RID: 54 RVA: 0x000054AB File Offset: 0x000036AB
		Private Sub biorhythmView1_ChartBirthdayChanged(sender As Object, e As ChartBirthdayChangedEventArgs)
			Me.WriteLog(String.Format("ChartBirthdayChanged [{0}]: {1}", e.BiorhythmShapeName, e.NewBirthday))
		End Sub

		' Token: 0x06000037 RID: 55 RVA: 0x000054D0 File Offset: 0x000036D0
		Private Sub biorhythmView1_ChartVisibilityChanged(sender As Object, e As ChartVisibilityChangedEventArgs)
			Me.WriteLog(String.Format("ChartVisibilityChanged [{0}]: {1}", e.BiorhythmShapeName, e.NewVisibility))
		End Sub

		' Token: 0x06000038 RID: 56 RVA: 0x000054F5 File Offset: 0x000036F5
		Private Sub biorhythmView1_ChartColorChanged(sender As Object, e As ChartColorChangedEventArgs)
			Me.WriteLog(String.Format("ChartColorChanged [{0}]: {1}", e.BiorhythmShapeName, e.NewColor))
		End Sub

		' Token: 0x06000039 RID: 57 RVA: 0x0000551A File Offset: 0x0000371A
		Private Sub biorhythmView1_ChartLineStyleChanged(sender As Object, e As ChartLineStyleChangedEventArgs)
			Me.WriteLog(String.Format("ChartLineStyleChanged [{0}]: {1}", e.BiorhythmShapeName, e.NewLineStyle))
		End Sub

		' Token: 0x0600003A RID: 58 RVA: 0x0000553F File Offset: 0x0000373F
		Private Sub biorhythmView1_ChartLineWidthChanged(sender As Object, e As ChartLineWidthChangedEventArgs)
			Me.WriteLog(String.Format("ChartLineWidthChanged [{0}]: {1}", e.BiorhythmShapeName, e.NewLineWidth))
		End Sub

		' Token: 0x0600003B RID: 59 RVA: 0x00005564 File Offset: 0x00003764
		Private Sub biorhythmView1_IsBorderVisibleChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("IsBorderVisibleChanged: {0}", Me.biorhythmView1.IsBorderVisible))
		End Sub

		' Token: 0x0600003C RID: 60 RVA: 0x00005588 File Offset: 0x00003788
		Private Sub biorhythmView1_BorderColorChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("BorderColorChanged: {0}", Me.biorhythmView1.BorderColor))
		End Sub

		' Token: 0x0600003D RID: 61 RVA: 0x000055AC File Offset: 0x000037AC
		Private Sub biorhythmView1_BorderWidthChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("BorderWidthChanged: {0}", Me.biorhythmView1.BorderWidth))
		End Sub

		' Token: 0x0600003E RID: 62 RVA: 0x000055D0 File Offset: 0x000037D0
		Private Sub biorhythmView1_FontChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("FontChanged: {0}", Me.biorhythmView1.Font))
		End Sub

		' Token: 0x0600003F RID: 63 RVA: 0x000055EF File Offset: 0x000037EF
		Private Sub biorhythmView1_BackColorChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("BackColorChanged: {0}", Me.biorhythmView1.BackColor))
		End Sub

		' Token: 0x06000040 RID: 64 RVA: 0x00005613 File Offset: 0x00003813
		Private Sub biorhythmView1_ForeColorChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("ForeColorChanged: {0}", Me.biorhythmView1.ForeColor))
		End Sub

		' Token: 0x06000041 RID: 65 RVA: 0x00005637 File Offset: 0x00003837
		Private Sub biorhythmView1_IsGridVisibleChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("IsGridVisibleChanged: {0}", Me.biorhythmView1.IsGridVisible))
		End Sub

		' Token: 0x06000042 RID: 66 RVA: 0x0000565B File Offset: 0x0000385B
		Private Sub biorhythmView1_GridColorChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("GridColorChanged: {0}", Me.biorhythmView1.GridColor))
		End Sub

		' Token: 0x06000043 RID: 67 RVA: 0x0000567F File Offset: 0x0000387F
		Private Sub biorhythmView1_AreSundaysEmphasizedChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("AreSundaysEmphasizedChanged: {0}", Me.biorhythmView1.AreSundaysEmphasized))
		End Sub

		' Token: 0x06000044 RID: 68 RVA: 0x000056A3 File Offset: 0x000038A3
		Private Sub biorhythmView1_SundaysColorChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("SundaysColorChanged: {0}", Me.biorhythmView1.SundaysColor))
		End Sub

		' Token: 0x06000045 RID: 69 RVA: 0x000056C7 File Offset: 0x000038C7
		Private Sub biorhythmView1_SundaysFontChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("SundaysFontChanged: {0}", Me.biorhythmView1.SundaysFont))
		End Sub

		' Token: 0x06000046 RID: 70 RVA: 0x000056E6 File Offset: 0x000038E6
		Private Sub biorhythmView1_IsXDayVisibleChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("IsXDayVisibleChanged: {0}", Me.biorhythmView1.IsXDayVisible))
		End Sub

		' Token: 0x06000047 RID: 71 RVA: 0x0000570A File Offset: 0x0000390A
		Private Sub biorhythmView1_XDayIndexChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("XDayIndexChanged: {0}", Me.biorhythmView1.XDayIndex))
		End Sub

		' Token: 0x06000048 RID: 72 RVA: 0x0000572E File Offset: 0x0000392E
		Private Sub biorhythmView1_XDayBorderColorChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("XDayBorderColorChanged: {0}", Me.biorhythmView1.XDayBorderColor))
		End Sub

		' Token: 0x06000049 RID: 73 RVA: 0x00005752 File Offset: 0x00003952
		Private Sub biorhythmView1_XDayBorderWidthChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("XDayBorderWidthChanged: {0}", Me.biorhythmView1.XDayBorderWidth))
		End Sub

		' Token: 0x0600004A RID: 74 RVA: 0x00005776 File Offset: 0x00003976
		Private Sub biorhythmView1_AreDayNumbersVisibleChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("AreDayNumbersVisibleChanged: {0}", Me.biorhythmView1.AreDayNumbersVisible))
		End Sub

		' Token: 0x0600004B RID: 75 RVA: 0x0000579A File Offset: 0x0000399A
		Private Sub biorhythmView1_DayNumbersPositionChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("DayNumbersPositionChanged: {0}", Me.biorhythmView1.DayNumbersPosition))
		End Sub

		' Token: 0x0600004C RID: 76 RVA: 0x000057BE File Offset: 0x000039BE
		Private Sub biorhythmView1_WeekDaysVisibleChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("WeekDaysVisibleChanged: {0}", Me.biorhythmView1.AreWeekDaysVisible))
		End Sub

		' Token: 0x0600004D RID: 77 RVA: 0x000057E2 File Offset: 0x000039E2
		Private Sub biorhythmView1_WeekDaysPositionChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("WeekDaysPositionChanged: {0}", Me.biorhythmView1.WeekDaysPosition))
		End Sub

		' Token: 0x0600004E RID: 78 RVA: 0x00005806 File Offset: 0x00003A06
		Private Sub biorhythmView1_TotalDaysChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("TotalDaysChanged: {0}", Me.biorhythmView1.TotalDays))
		End Sub

		' Token: 0x0600004F RID: 79 RVA: 0x0000582A File Offset: 0x00003A2A
		Private Sub biorhythmView1_TodayBackColorChanged(sender As Object, e As EventArgs)
			Me.WriteLog(String.Format("TodayBackColorChanged: {0}", Me.biorhythmView1.TodayBackColor))
		End Sub

		' Token: 0x06000050 RID: 80 RVA: 0x00005850 File Offset: 0x00003A50
		Private Sub WriteLog(text As String)
			Dim invokeRequired As Boolean = MyBase.InvokeRequired
			If invokeRequired Then
				''MyBase.Invoke(AddressOf Me.WriteLog, New Object() { text })
			Else
				Me.textBoxEvent.AppendText(text + vbCrLf)
			End If
		End Sub

		' Token: 0x06000051 RID: 81 RVA: 0x000058A0 File Offset: 0x00003AA0
		Protected Overrides Sub Dispose(disposing As Boolean)
			Dim flag As Boolean = disposing AndAlso Me.components IsNot Nothing
			If flag Then
				Me.components.Dispose()
			End If
			MyBase.Dispose(disposing)
		End Sub

		' Token: 0x06000052 RID: 82 RVA: 0x000058D8 File Offset: 0x00003AD8
		Private Sub InitializeComponent()
			Me.groupBox2 = New GroupBox()
			Me.textBoxEvent = New TextBox()
			Me.groupBox2.SuspendLayout()
			MyBase.SuspendLayout()
			Me.groupBox2.Controls.Add(Me.textBoxEvent)
			Me.groupBox2.Dock = DockStyle.Fill
			Me.groupBox2.Location = New Point(0, 0)
			Me.groupBox2.Name = "groupBox2"
			Me.groupBox2.Size = New Size(255, 258)
			Me.groupBox2.TabIndex = 18
			Me.groupBox2.TabStop = False
			Me.groupBox2.Text = "Events Triggered"
			Me.textBoxEvent.AcceptsReturn = True
			Me.textBoxEvent.AcceptsTab = True
			Me.textBoxEvent.Anchor = (AnchorStyles.Top Or AnchorStyles.Bottom Or AnchorStyles.Left Or AnchorStyles.Right)
			Me.textBoxEvent.Location = New Point(6, 19)
			Me.textBoxEvent.Multiline = True
			Me.textBoxEvent.Name = "textBoxEvent"
			Me.textBoxEvent.[ReadOnly] = True
			Me.textBoxEvent.ScrollBars = ScrollBars.Both
			Me.textBoxEvent.Size = New Size(243, 233)
			Me.textBoxEvent.TabIndex = 0
			MyBase.AutoScaleDimensions = New SizeF(6F, 13F)
			MyBase.AutoScaleMode = AutoScaleMode.Font
			MyBase.Controls.Add(Me.groupBox2)
			MyBase.Name = "EventsTriggeredBox"
			MyBase.Size = New Size(255, 258)
			Me.groupBox2.ResumeLayout(False)
			Me.groupBox2.PerformLayout()
			MyBase.ResumeLayout(False)
		End Sub

		' Token: 0x04000042 RID: 66
		Private biorhythmView1 As BiorhythmView

		' Token: 0x04000043 RID: 67
		Private components As IContainer = Nothing

		' Token: 0x04000044 RID: 68
		Private groupBox2 As GroupBox

		' Token: 0x04000045 RID: 69
		Private textBoxEvent As TextBox

		' Token: 0x02000012 RID: 18
		' (Invoke) Token: 0x060000B2 RID: 178
		Private Delegate Sub WriteLogDelegate(text As String)
	End Class
End Namespace
