﻿Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports DustInTheWind.BiorhythmControls.Core.BiorhythmModel

Namespace DustInTheWind.BiorhythmControls.Demo
	' Token: 0x02000007 RID: 7
	Public Partial Class FormAllBiorhythms
		Inherits Form

		' Token: 0x17000005 RID: 5
		' (get) Token: 0x06000053 RID: 83 RVA: 0x00005AB0 File Offset: 0x00003CB0
		' (set) Token: 0x06000054 RID: 84 RVA: 0x00005AC8 File Offset: 0x00003CC8
		Public Property BiorhythmShapes As BiorhythmShapeList
			Get
				Return Me.biorhythmShapes2
			End Get
			Set(value As BiorhythmShapeList)
				Dim flag As Boolean = Me.biorhythmShapes2 IsNot Nothing
				If flag Then
					Me.UnsubscribeFromEvents()
					Me.ClearControls()
				End If
				Me.biorhythmShapes2 = value
				Dim flag2 As Boolean = Me.biorhythmShapes2 IsNot Nothing
				If flag2 Then
					Me.SubscribeToEvents()
					Me.PopulateControls()
				Else
					Me.ClearControls()
				End If
			End Set
		End Property

		' Token: 0x06000055 RID: 85 RVA: 0x00005B22 File Offset: 0x00003D22
		Public Sub New()
			Me.InitializeComponent()
		End Sub

		' Token: 0x06000056 RID: 86 RVA: 0x00005B3A File Offset: 0x00003D3A
		Private Sub SubscribeToEvents()
			AddHandler Me.biorhythmShapes2.ItemAdded, AddressOf Me.HandleItemAdded
		End Sub

		' Token: 0x06000057 RID: 87 RVA: 0x00005B55 File Offset: 0x00003D55
		Private Sub UnsubscribeFromEvents()
			RemoveHandler Me.biorhythmShapes2.ItemAdded, AddressOf Me.HandleItemAdded
		End Sub

		' Token: 0x06000058 RID: 88 RVA: 0x00005B70 File Offset: 0x00003D70
		Private Sub PopulateControls()
			Me.panel1.SuspendLayout()
			For Each biorhythmShape As BiorhythmShape In Me.biorhythmShapes2
				Me.AddBiorhythmShapeEditor(biorhythmShape)
			Next
			Me.panel1.ResumeLayout()
		End Sub

		' Token: 0x06000059 RID: 89 RVA: 0x00005BDC File Offset: 0x00003DDC
		Private Sub HandleItemAdded(sender As Object, e As ItemAddedEventArgs)
			Me.AddBiorhythmShapeEditor(e.NewItem)
		End Sub

		' Token: 0x0600005A RID: 90 RVA: 0x00005BEC File Offset: 0x00003DEC
		Private Sub AddBiorhythmShapeEditor(biorhythmShape As BiorhythmShape)
			Dim biorhythmEditor As BiorhythmShapeEditor = New BiorhythmShapeEditor()
			biorhythmEditor.AutoSize = True
			biorhythmEditor.AutoSizeMode = AutoSizeMode.GrowAndShrink
			biorhythmEditor.BiorhythmShape = biorhythmShape
			biorhythmEditor.Dock = DockStyle.Top
			biorhythmEditor.Location = New Point(3, 16)
			biorhythmEditor.MinimumSize = New Size(420, 27)
			biorhythmEditor.Size = New Size(563, 27)
			biorhythmEditor.TabIndex = 10
			Me.panel1.Controls.Add(biorhythmEditor)
		End Sub

		' Token: 0x0600005B RID: 91 RVA: 0x00005C70 File Offset: 0x00003E70
		Private Sub ClearControls()
			Me.panel1.Controls.Clear()
		End Sub

		' Token: 0x04000046 RID: 70
		Private biorhythmShapes2 As BiorhythmShapeList
	End Class
End Namespace
